/*
 * Please cite:
 * Zen, G., Ricci, E.
 * Earth Mover’s Prototypes: a Convex Learning Approach for Discovering Activity Patterns in Dynamic Scenes.
 * IEEE Conference on Computer Vision and Pattern Recognition (CVPR), 2011.
 * http://disi.unitn.it/~zen/emd.html
 
 This file is part of EMP (Earth Mover's Prototypes).

 EMP is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 EMP is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with EMP.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef PARAM_H
#define	PARAM_H

#ifdef	__cplusplus
extern "C" {
#endif

  class parameters {
    
   public:

    double gamma;
    int N;
    int D;
    int Np;
    // 
    char clustering_type[50];
    //
    char file_data[200];
    char output_dir[200];
    //
    bool loadfilesort;
    char file_sort[200];
    //
    char file_res_clustering[200];
    char file_groundtruth[200];
    
   public:
    
    parameters();
    parameters(char* file_config);
    //
    void init();
    void load_parameters_from_file(char* file_config);    
  };


#ifdef	__cplusplus
}
#endif

#endif	/* PARAM_H */

